ClassCodeVisitorSupport (groovy 2.4.6 API)
Date: 2016-02-18

Package: org.codehaus.groovy.ast

## [Java] Class ClassCodeVisitorSupport

- org.codehaus.groovy.ast.ClassCodeVisitorSupport

- All Implemented Interfaces and Traits:
    GroovyClassVisitor

      public abstract class ClassCodeVisitorSupport
      extends CodeVisitorSupport

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `addError(String msg, ASTNode expr)`
    `protected SourceUnit` | `getSourceUnit()`
    `void` | `visitAnnotations(AnnotatedNode node)`
    `void` | `visitAssertStatement(AssertStatement statement)`
    `void` | `visitBlockStatement(BlockStatement block)`
    `void` | `visitBreakStatement(BreakStatement statement)`
    `void` | `visitCaseStatement(CaseStatement statement)`
    `void` | `visitCatchStatement(CatchStatement statement)`
    `void` | `visitClass(ClassNode node)`
    `protected void` | `visitClassCodeContainer(Statement code)`
    `void` | `visitConstructor(ConstructorNode node)`
    `protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
    `void` | `visitContinueStatement(ContinueStatement statement)`
    `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `void` | `visitDoWhileLoop(DoWhileStatement loop)`
    `void` | `visitExpressionStatement(ExpressionStatement statement)`
    `void` | `visitField(FieldNode node)`
    `void` | `visitForLoop(ForStatement forLoop)`
    `void` | `visitIfElse(IfStatement ifElse)`
    `void` | `visitImports(ModuleNode node)`
    `void` | `visitMethod(MethodNode node)`
    `protected void` | `visitObjectInitializerStatements(ClassNode node)`
    `void` | `visitPackage(PackageNode node)`
    `void` | `visitProperty(PropertyNode node)`
    `void` | `visitReturnStatement(ReturnStatement statement)`
    `protected void` | `visitStatement(Statement statement)`
    `void` | `visitSwitch(SwitchStatement statement)`
    `void` | `visitSynchronizedStatement(SynchronizedStatement statement)`
    `void` | `visitThrowStatement(ThrowStatement statement)`
    `void` | `visitTryCatchFinally(TryCatchStatement statement)`
    `void` | `visitWhileLoop(WhileStatement loop)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected void addError(String msg, ASTNode expr)

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitAnnotations(AnnotatedNode node)

    - #### public void visitAssertStatement(AssertStatement statement)

    - #### public void visitBlockStatement(BlockStatement block)

    - #### public void visitBreakStatement(BreakStatement statement)

    - #### public void visitCaseStatement(CaseStatement statement)

    - #### public void visitCatchStatement(CatchStatement statement)

    - #### public void visitClass(ClassNode node)

    - #### protected void visitClassCodeContainer(Statement code)

    - #### public void visitConstructor(ConstructorNode node)

    - #### protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

    - #### public void visitContinueStatement(ContinueStatement statement)

    - #### @Override public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitDoWhileLoop(DoWhileStatement loop)

    - #### public void visitExpressionStatement(ExpressionStatement statement)

    - #### public void visitField(FieldNode node)

    - #### public void visitForLoop(ForStatement forLoop)

    - #### public void visitIfElse(IfStatement ifElse)

    - #### public void visitImports(ModuleNode node)

    - #### public void visitMethod(MethodNode node)

    - #### protected void visitObjectInitializerStatements(ClassNode node)

    - #### public void visitPackage(PackageNode node)

    - #### public void visitProperty(PropertyNode node)

    - #### public void visitReturnStatement(ReturnStatement statement)

    - #### protected void visitStatement(Statement statement)

    - #### public void visitSwitch(SwitchStatement statement)

    - #### public void visitSynchronizedStatement(SynchronizedStatement statement)

    - #### public void visitThrowStatement(ThrowStatement statement)

    - #### public void visitTryCatchFinally(TryCatchStatement statement)

    - #### public void visitWhileLoop(WhileStatement loop)